<?php
class UsersAdmin
{
  private $dbo = null;
  function __construct($dbo)
  {
    $this->dbo = $dbo;
  }
  function getQuerySingleResult($query)
  {
    //Brak obiektu $dbo
    if(!$this->dbo) return false;
    
    //Wykonanie zapytania.
    if(!$result = $this->dbo->query($query)){
      //echo 'Wystpi bd (getQuerySingleResult): nieprawidowe zapytanie...';
      return false;
    }
    if($row = $result->fetch_row()){
      //Zwrcenie wyniku.
      return $row[0];
    }
    else{
      //Brak wynikw zapytania.
      return false;
    }
  }
  function showList($limit)
  {
    if(!$this->dbo){
      echo 'Lista uytkownikw nie jest dostpna.';
      return;
    }
    
    //Odczytanie parametru page.
    if(isset($_GET['page'])){
      $page = intval($_GET['page']);
    }
    else{
      $page = 0;
    }
    
    //Okrelenie cakowitej liczby wierszy w tabeli Users.
    $query = "SELECT COUNT(*) FROM Users";
    $rowsCount = intval($this->getQuerySingleResult($query));
    
    //Obliczenie cakowitej liczby stron z wynikami
    $pages = ceil($rowsCount / $limit);
    
    if($page < 0 || $page >= $pages) $page = 0;
    
    $offset = $page * $limit;
    
    //Zapytanie pobierajce wyniki dla biecej strony.
    $query = "SELECT Id, Nazwa, Imie, Nazwisko, Email ";
    $query .= "FROM Users LIMIT $offset, $limit";

    if(!$result = $this->dbo->query($query)){
      return;
    }
    ?>
    <div id="usersListDiv">
    <table>
    <?php
    //Odczytanie wynikw zapytania i umieszczenie ich w tabeli HTML.
    while($row = $result->fetch_row()){
      echo '<tr>';
      foreach($row as $val){
        echo "<td>$val</td>";
      }
      echo '<td>';
      echo '<a href="index.php?action=usersAdmin&amp;wtd=showEditForm&amp;id=';
      echo $row[0] . '">Edytuj</a>';
      echo '<td>';
      echo '<a href="index.php?action=usersAdmin&amp;wtd=deleteUser&amp;id=';
      echo $row[0] . '">Usu</a>';
      echo '</tr>';
    }
    ?>
    </table>
    <div id="paginationDiv">
    <?php echo $this->getPagination($page, $pages, 
                      'index.php?action=usersAdmin&amp;wtd=ShowList',
                      'Id do strony: ');
    ?>
    </div>
    </div>
    <?php
  }
}
?>